%global namedreltag .CR2
%global namedversion %{version}%{?namedreltag}

Name:             netty-xnio-transport
Version:          0.1.1
Release:          0.4%{namedreltag}%{?dist}
Summary:          Netty Transport powered by XNIO
License:          ASL 2.0
URL:              https://github.com/xnio/netty-xnio-transport
Source0:          https://github.com/xnio/netty-xnio-transport/archive/netty-xnio-transport-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    maven-local
BuildRequires:    xnio

%if 0%{?fedora} > 20
BuildRequires:    netty
%else
BuildRequires:    netty4
%endif

BuildArch:        noarch

%description
This is a Netty Transport powered by XNIO. It can be used to either wrap an
existing StreamConnection and AcceptingChannel or to bootstrap a Netty powered
server directly.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n netty-xnio-transport-netty-xnio-transport-%{namedversion}

%pom_remove_dep "io.netty:" pom.xml
%pom_add_dep "io.netty:netty-transport:4" pom.xml
%pom_add_dep "io.netty:netty-buffer:4" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.4.CR2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1.1-0.3.CR2
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 13 2014 Marek Goldmann <mgoldman@redhat.com> - 0.1.1-0.2.CR2
- Better netty BR

* Thu Jan 09 2014 Marek Goldmann <mgoldman@redhat.com> - 0.1.1-0.1.CR2
- Initial packaging

